package oop4_dat4_ss;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class ButtonListener implements ActionListener
{

    private SwitchGUI gui;

    public ButtonListener(SwitchGUI gui)
    {
        this.gui = gui;
    }

    public void actionPerformed(ActionEvent e)
    {
        if (e.getSource() == gui.on) {
            gui.state.setText("The Switch is on.");
        }
        if (e.getSource() == gui.off) {
            gui.state.setText("The Switch is off.");
        }
        if (e.getSource() == gui.close) {
            System.exit(1);
        }
    }
}
